[Overview][Types][Classes][Index] | Reference for unit 'GroupedEdit' (#lcl)

# TCustomAbstractGroupedEdit.MaxLength

Maximum number of characters allowed in the editor for the control.

## Declaration

Source position: groupededit.pp line 295

`public property TCustomAbstractGroupedEdit.MaxLength : Integer read GetMaxLength write SetMaxLength;`

## Description

MaxLength is an Integer property with the maximum number of characters allowed in EditText. The property value is read from and written to the MaxLength property in BaseEditor. The default value (0) indicates that a maximum length is not enforced.

Use EditMask to specify a mask that is applied to the stored value for the control.

In Delphi MaxLength only limits user input. The LCL actually restricts the maximum length of the stored text; this simplifies the implementation for non-Win32 widgetsets.